package control;

/**
 * Class implementing a operation property. This class is used in representing 
 * the properties of an operation in the communication with gui and the user.
 * Please see the methods getProperties() and setProperties() in Operation.
 * 
 * @author Kjell-Inge Skogstad and Trond ivind Eriksen
 */
public class OperationProperty {

    private String name;
    private String value;
    
    /**
     * Constructor creating a new  property.
     * 
     * @param name Property  name
     * @param value Value of the property
     */
    public OperationProperty(String name, String value) {
        this.name = name;
        this.value = value;
    }
    
    /**
     * Method for getting the property name.
     * 
     * @return The name
     */
    public String getName() {
        return name;
    }
    
    /**
     * Method for getting the value of the property.
     * 
     * @return The value
     */
    public String getValue() {
        return value;
    }
    
    /**
     * Method for settng teh value of the property.
     * 
     * @param value The new value
     */
    public void setValue(String value) {
        this.value = value;
    }
}
