package datapreparation.stemming;

/**
 * Interface for stemmers of different languages. All stemmers need to 
 * implement this interface to be successfully run in this application.
 * 
 * @author Kjell-Inge Skogstad and Trond ivind Eriksen
 */
public interface Stemmer {
    
    /**
     * Method for stemming a word.
     * 
     * @param word The word
     * @return The new word
     */
    public String stem(String word);
}
