package gui;

import control.Control;

/**
 * This class is used instead of the MainFrame class when running the application in an
 * environment without a display, e.g. a remote server.
 *
 * @author Ole Kristian Fivelstad
 */
public class MainFrameDummy {
    /* MainFrameDummy instance */
    private static MainFrameDummy INSTANCE;

    private Control control;

    /**
     * Constructor for MainFrameDummy class. 
     * @param control The control
     */
    public MainFrameDummy(Control control){
        INSTANCE = this;
        this.control = control;
    }

    /**
     * Method returning the instance of the MainFrameDummy.
     *
     * @return The MainFrameDummy instance
     */
    public static MainFrameDummy getInstance() {
        return INSTANCE;
    }
    /**
     * Method for getting the Control instance.
     *
     * @return The Control instance
     */
    public Control getControl() {
        return control;
    }

}
