package gui;

import javax.swing.JPanel;

/**
 * Abstract class implementing the interface of a view where the report of 
 * a modelling operation should be presented. This view is inserted into a
 * separate window showing the report.  
 * 
 * @author Kjell-Inge Skogstad and Trond ivind Eriksen
 */
public abstract class ReportView extends JPanel {

    /**
     * Abstract method returning a printable copy of the modelling report. 
     * 
     * @return The report
     */
    public abstract String getPrintableCopy();
}
