package gui.panel;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * Class implementing the report window, where the user can get feedback about 
 * changes in the data set.
 * 
 * @author Kjell-Inge Skogstad and Trond ivind Eriksen
 */
public class DocReportPanel extends JScrollPane {

    private JTextArea textArea;
    
    /**
     * Constructor that initializes the panel.
     */
    public DocReportPanel() {       
        super(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
                JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);

        textArea = new JTextArea();
        textArea.setEditable(false);
        textArea.setLineWrap(true);
        textArea.setWrapStyleWord(true);
        
        setViewportView(textArea);
    }
    
    /**
     * Method for adding the report to be shown.
     * 
     * @param report The report
     */
    public void setPrintedReport(String report) {
        textArea.setText(report);
        revalidate();
    }
}
