package gui.panel;

import control.Control;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * @author Ole Kristian
 *         Date: 27.apr.2007
 *         Time: 15:23:46
 *         To change this template use File | Settings | File Templates.
 */
public class OperationProgressPanel extends JPanel{
    private Control control;
    private JProgressBar progress;


    /**
     * Constructor creating a new run panel.
     *
     * @param control The control instance
     */
    public OperationProgressPanel(Control control) {
        super(new GridLayout(1,1));

        this.control = control;        
        addComponents();

        setBorder(BorderFactory.createTitledBorder("Operation Progress"));
    }

    /**
     * Method used to update the progress bar. The progress is given by a
     * number between 0 and 100.
     *
     * @param newProgress The new progress
     */
    public void updateProgress(int newProgress) {
        if (newProgress <= 100 || newProgress >= 0) {
            progress.setString(newProgress + "%");
            progress.setValue(newProgress);
            progress.revalidate();
            progress.repaint();
        }
    }

    public void invalidProgress(){
        progress.setStringPainted(true);
        progress.setString("Not available for this operation");
        progress.revalidate();
        progress.repaint();
    }
    /**
     * Method adding all components.
     */
    private void addComponents() {
        progress = new JProgressBar(0, 100);
        progress.setStringPainted(true);
        progress.setString("0%");
        progress.setValue(0);
        add(progress);
    }

}






