package modelling.fiti.data;

import java.util.ArrayList;

/**
 * Class implementing an inter (extended) item. This is an item with associated 
 * an timestamp.
 * 
 * @author Kjell-Inge Skogstad
 */
public class InterItem extends Item {

    private int timestamp;

    /**
     * Constructor creating a new inter item. 
     * 
     * @param index Filt or term list index
     * @param indexType Index type
     * @param timestamp The timestamp
     */
    public InterItem(int index, int indexType, int timestamp) {
        super(index, indexType);
        this.timestamp = timestamp;
    }

    /**
     * Method returning a clone of this instance.
     */
    public Object clone() {
        return new InterItem(index, type, timestamp);
    }    

    /**
     * Method for setting the timestamp.
     * 
     * @param timestamp The timestamp
     */
    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;        
    }

    /**
     * Method for getting the timestamp.
     * 
     * @return The timestamp
     */
    public int getTimestamp() {
        return timestamp;
    }

    /**
     * Method for comaprint two inter items. 
     */
    public boolean equals(Object o) {
        if (o instanceof InterItem) {
            InterItem item = (InterItem)o;

            return (timestamp == item.getTimestamp())
                && super.equals(o);
        }
        return false;
    }

    /**
     * Method returning a printable representation of this instance.
     */
    public String toString() {
        return super.toString() + "(" + timestamp + ")";
    }
}
