package modelling.fiti.helpers;

import laur.dm.ar.Itemset;
import modelling.fiti.data.ItemList;
import modelling.fiti.data.ItemSet;

/**
 * Class implementing helper functions for conversion between the internal 
 * class InterSet and the external Interset.
 * 
 * @author Kjell-Inge Skogstad
 */
public class DataSetHelper {

    /**
     * Method used to convert an itemset from Itemset to ItemSet.
     * 
     * @param set The Itemset
     * @return The ItemSet
     */
    public static ItemSet covertFromItemset(Itemset set) {
        ItemSet itemSet = new ItemSet();
        
        for (int i = 0; i < set.size(); i++) {
            itemSet.addItem(ItemList.INSTANCE.getItem(set.get(i)));
            
        }
        itemSet.setSupport(set.getSupport());
        return itemSet;
    }
    
    /**
     * Method used to convert an itemset from ItemSet to Itemset.
     * 
     * @param set The ItemSet
     * @return The Itemset
     */
    public static Itemset convertFromItemSet(ItemSet set) {
        Itemset itemset = new Itemset();
        
        for (int i = 0; i < set.size(); i++) {
            itemset.add(set.getItemListIndex(i));
        }        
        itemset.setSupport(set.getSupport());
        return itemset;
    }
}
